Debian Bug report logs - #614497
doc-debian: The OPL-licensed documents taken from Debian website are non-free

version graph

Package: doc-debian; Maintainer for doc-debian is Javier Fernández-Sanguino Peña <jfs@debian.org>; Source for doc-debian is src:doc-debian.

Reported by: "Francesco Poli \(wintermute\)" <invernomuto@paranoici.org>

Date: Mon, 21 Feb 2011 23:12:02 UTC

Severity: serious

Tags: jessie-ignore, squeeze-ignore, wheezy-ignore

Found in versions doc-debian/3.1.2, doc-debian/4.0.2

Fix blocked by 388141: www.debian.org SPI copyright claim not legally valid until all contributors are contacted for relicensing

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
Bug#614497; Package doc-debian. (Mon, 21 Feb 2011 23:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Francesco Poli \(wintermute\)" <invernomuto@paranoici.org>:
New Bug report received and forwarded. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>. (Mon, 21 Feb 2011 23:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Francesco Poli \(wintermute\)" <invernomuto@paranoici.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: doc-debian: The OPL-licensed documents taken from Debian website are non-free
Date: Tue, 22 Feb 2011 00:08:23 +0100
Package: doc-debian
Version: 3.1.2
Severity: serious
Justification: Policy 2.2.1

Hi!

As you already know, the documents taken from the official Debian
website are not really copyrighted by SPI:
http://bugs.debian.org/388141

Moreover, those documents are licensed under the terms of the
Open Publication License, Draft v1.0 or later, and thus fail to comply
with the DFSG:
http://bugs.debian.org/238245
http://lists.debian.org/debian-legal/2004/03/msg00226.html

This is a (two-fold) issue for the Debian website, and is
still unfixed, unfortunately.
But it is an even worse issue for the doc-debian package,
which is shipped in the main archive!

I am filing this bug report, in the hope that this problem
gets solved before wheezy is released.
Of course, this bug report is to be marked as blocked by #388141
and by #238245: those two bugs should be fixed first; after that,
the debian/copyright file of doc-debian should be updated accordingly.


Thanks for your great contributions to the Debian Project!




Added blocking bug(s) of 614497: 388141 and 238245 Request was from Francesco Poli <invernomuto@paranoici.org> to control@bugs.debian.org. (Mon, 21 Feb 2011 23:31:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions doc-debian/4.0.2. Request was from Francesco Poli <invernomuto@paranoici.org> to control@bugs.debian.org. (Mon, 21 Feb 2011 23:31:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#614497; Package doc-debian. (Mon, 22 Oct 2012 12:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Mon, 22 Oct 2012 12:33:03 GMT) Full text and rfc822 format available.

Message #14 received at 614497@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: "Francesco Poli (wintermute)" <invernomuto@paranoici.org>
Cc: 614497@bugs.debian.org
Subject: Re: doc-debian: The OPL-licensed documents taken from Debian website are non-free
Date: Mon, 22 Oct 2012 05:30:41 -0700
Hi,

Francesco Poli (wintermute) wrote:

> As you already know, the documents taken from the official Debian
> website are not really copyrighted by SPI:
[...]
> Moreover, those documents are licensed under the terms of the
> Open Publication License, Draft v1.0 or later, and thus fail to comply
> with the DFSG:
[...]
> But it is an even worse issue for the doc-debian package,
> which is shipped in the main archive!

Thanks for starting this.

Many parts of www.debian.org are already relicensed by now.  Maybe
this bug could be resolved by updating the copyright information and
calling it a day (update: no).

Here's a quick copyright survey.  Of course most of the details below
are only guesses.  Still to find:

 * Raul Miller's wishes for the part of the constitution he wrote
 * origins of debian-manifesto and source-unpack.txt
 * social contract license

Files: doc/bug-*
License: GPL-2
Origin: package debbugs

Files: doc/constitution.1.0.wml
History:
 Added to webwml under current filename by Manoj 2003-10-31.
 Added to webwml by Darren Benham, 1998-12-04, after ratification.
 Amended by Ian Jackson and Darren Benham, 1998-11 and 1998-10 (see -devel).
 From Ian Jackson's website (~ian/debian-organisation.html), 1998-09.
 v0.8 proposed by Ian 1998-05-28 (see -devel).
 v0.7 proposed by Ian 1998-04-27 (see -devel).
 v0.6.1 proposed by Ian 1998-04-07 (see -devel).
 v0.6 proposed by Ian 1998-04-06 (see -devel).
 v0.5.1 proposed by Ian 1998-04-03 (see -devel).
 v0.5 proposed by Ian 1998-04-02 (see -devel).
 v0.4 proposed by Ian 1998-03-26 (see -devel).
 v0.3 proposed by Ian 1998-03-20 (see -devel).
 v0.2 proposed by Ian 1998-03-19 (see -devel).
 initial version (v0.1) published by Ian 1998-03-19 (see -devel).
Copyright: 1998, Ian Jackson
License: Expat or GPL-2+
 http://people.debian.org/~spaillard/website/relicensing/www-relicensing-ok

Files: doc/constitution.1.1.wml
History:
 Added to webwml under current filename 2003-10-31
 Condorcet/cloneproof SSD voting GR: 2003-06-22
 Wording: 2002-10-16 (see -vote) etc
 Full recommendation from voting methods committee: 2002-08-21 (see -vote).
 First recommendation from voting methods committee: 2002-02-11 (see -vote).
Copyright: 1998, Ian Jackson
           2002, Raul Miller
           2002, Manoj Srivasta
License: OPL?

Files: doc/constitution.1.2.wml
History:
 Added to webwml under current filename 2006-09-24
 Nontechnical policy maintenance GR: 2003-10-31
 Tightened wording: 2003-09-23 (on -vote)
 Protecting foundational documents: 2000-10-10 (on -vote)
 Wording, part 1: 2000-10-10 (on -vote)
Copyright: 1998, Ian Jackson
           2002, Raul Miller
           2002, 2003, Manoj Srivasta
License: OPL?

Files: doc/constitution.1.3.wml
History:
 Added to webwml under current filename 2008-02-21
 Assets handling GR: 2006-09-24
 Proposal: 2006-07-20 (on -vote)
 Drafting seems to have happened in the previous month.
Copyright: 1998, Ian Jackson
           2002, Raul Miller
           2002, 2003, 2006, Manoj Srivasta
License: OPL?

Files: doc/constitution.wml
History:
 Published copy reflecting DPL election GR: 2008-02-21
 Proposal: 2007-07-31 (on -vote)
Copyright: 1998, Ian Jackson
           2002, Raul Miller
           2002, 2003, 2006, Manoj Srivasta
           2007, Anthony Towns
License: OPL?

Files: doc/debian-manifesto doc/source-unpack.txt
History: ?
Copyright: ?
License: ?
Note: not on website

Files: doc/Makefile
History: ?
Copyright: ?
License: ?

Files: doc/social-contract.1.0.wml doc/social-contract.wml
History:
 Developed in private, as far as I can tell.  Only public
 signs of it are 1997-06-08 on debian-devel and the result on
 debian-announce, 1997-07-04.
 .
 Amended to clarify some points --- in particular avoiding
 unnecessary references to software --- around 2003-12-27
 (on -vote)
Copyright: 1997, Bruce Perens (?)
           2003, Branden Robinson (?)
           2003, Andrew Suffield (?)
License: OPL? CC-BY-2.5?



Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#614497; Package doc-debian. (Mon, 22 Oct 2012 13:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Fernandez-Sanguino <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Mon, 22 Oct 2012 13:48:06 GMT) Full text and rfc822 format available.

Message #19 received at 614497@bugs.debian.org (full text, mbox):

From: Javier Fernandez-Sanguino <jfs@computer.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 614497@bugs.debian.org
Cc: "Francesco Poli (wintermute)" <invernomuto@paranoici.org>
Subject: Re: Bug#614497: doc-debian: The OPL-licensed documents taken from Debian website are non-free
Date: Mon, 22 Oct 2012 15:45:50 +0200
On 22 October 2012 14:30, Jonathan Nieder <jrnieder@gmail.com> wrote:
> Many parts of www.debian.org are already relicensed by now.  Maybe
> this bug could be resolved by updating the copyright information and
> calling it a day (update: no).

Hello Jonathan,

Thanks for the updated information. However, in the listing of
documents you indicate that some of the versions of the constitution
are still under the OPL license and, in addition, in doc-debian we
have provide additional  documentation (such as information about bug
handling, taken from http://www.debian.org/Bugs/) that seems to still
be OPL.

I would rather wait for the copyright notice in each of these pages to
change before I change debian/copyright and update the status. Right
now all of them point to the boilerplate page
http://www.debian.org/license which still mentions that OPL is the
current license for all the documents previous to January 25th, 2012.

Hopefully, when   #388141 is resolved for all documents we will be
able to update debian/copyright and close this bug too.

Regards

Javier



Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#614497; Package doc-debian. (Mon, 22 Oct 2012 16:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Mon, 22 Oct 2012 16:45:03 GMT) Full text and rfc822 format available.

Message #24 received at 614497@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Javier Fernandez-Sanguino <jfs@computer.org>
Cc: 614497@bugs.debian.org, "Francesco Poli (wintermute)" <invernomuto@paranoici.org>
Subject: Re: doc-debian: The OPL-licensed documents taken from Debian website are non-free
Date: Mon, 22 Oct 2012 09:40:17 -0700
Hi Javier,

Javier Fernandez-Sanguino wrote:

> Thanks for the updated information. However, in the listing of
> documents you indicate that some of the versions of the constitution
> are still under the OPL license and,

Yes, if I understand correctly then Raul Miller's text on the voting
system used (including handling of supermajorities) was never
explicitly licensed under a DFSG-free license.  I do not see Raul on
the list of people being contacted for http://bugs.debian.org/388141
--- I am not even sure if he had an alioth account --- and meanwhile I
think it would be worthwhile to find his wishes to get the license of
this foundational document clear.

>                                      in addition, in doc-debian we
> have provide additional  documentation (such as information about bug
> handling, taken from http://www.debian.org/Bugs/) that seems to still
> be OPL.

I might have not looked carefully enough, but from a quick glance,
that seemed to come from GPL-2 source (the documentation is maintained
with the rest of the debbugs codebase).

> I would rather wait for the copyright notice in each of these pages to
> change before I change debian/copyright and update the status. Right
> now all of them point to the boilerplate page
> http://www.debian.org/license which still mentions that OPL is the
> current license for all the documents previous to January 25th, 2012.
>
> Hopefully, when   #388141 is resolved for all documents we will be
> able to update debian/copyright and close this bug too.

That's fine with me.  I mostly meant to give a summary for Francesco
of the current status of these documents.  I also agree with you that
the /licenses page online should be updated when their license status
is clear, not just doc-debian's copyright file.

Thanks for the quick feedback.
Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#614497; Package doc-debian. (Mon, 22 Oct 2012 17:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Mon, 22 Oct 2012 17:39:03 GMT) Full text and rfc822 format available.

Message #29 received at 614497@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 614497@bugs.debian.org
Subject: Re: doc-debian: The OPL-licensed documents taken from Debian website are non-free
Date: Mon, 22 Oct 2012 19:36:33 +0200
[Message part 1 (text/plain, inline)]
On Mon, 22 Oct 2012 09:40:17 -0700 Jonathan Nieder wrote:

> Hi Javier,

Hi Jonathan, hi Javier!
Thanks to you both for following up on this issue.

> 
> Javier Fernandez-Sanguino wrote:
> 
> > Thanks for the updated information.
[...]
> > I would rather wait for the copyright notice in each of these pages to
> > change before I change debian/copyright and update the status. Right
> > now all of them point to the boilerplate page
> > http://www.debian.org/license which still mentions that OPL is the
> > current license for all the documents previous to January 25th, 2012.
> >
> > Hopefully, when   #388141 is resolved for all documents we will be
> > able to update debian/copyright and close this bug too.
> 
> That's fine with me.  I mostly meant to give a summary for Francesco
> of the current status of these documents.  I also agree with you that
> the /licenses page online should be updated when their license status
> is clear, not just doc-debian's copyright file.

Well, even though the issue with doc-debian is definitely part of the
larger issue with the official Debian website (www.debian.org), I think
that solving the part that affects doc-debian (a package shipped in
Debian main, as I said!) should be carried on at a higher priority.

I think that the copyright holders for the documents shipped in
doc-debian should be tracked down and contacted, in order to ask
(persuade) them to agree to the re-licensing under the disjunction
"Expat or GPL-2+" (as is being done, I hope!, for the rest of
www.debian.org).
The collected "OK" answers should of course be contributed to the
www.debian.org re-licensing effort.

I hope this can be done in the short term.

Thanks a lot for taking this issue seriously!
Bye.

-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#614497; Package doc-debian. (Wed, 07 Nov 2012 12:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Wed, 07 Nov 2012 12:51:03 GMT) Full text and rfc822 format available.

Message #34 received at 614497@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: "Francesco Poli \(wintermute\)" <invernomuto@paranoici.org>, 614497@bugs.debian.org
Subject: Re: Bug#614497: doc-debian: The OPL-licensed documents taken from Debian website are non-free
Date: Wed, 7 Nov 2012 13:48:39 +0100
Control: tag -1 squeeze-ignore wheezy-ignore
Control: user release.debian.org@packages.debian.org
Control: usertag -1 wheezy-can-defer

On Tue, Feb 22, 2011 at 00:08:23 +0100, Francesco Poli (wintermute) wrote:

> Package: doc-debian
> Version: 3.1.2
> Severity: serious
> Justification: Policy 2.2.1
> 
> Hi!
> 
> As you already know, the documents taken from the official Debian
> website are not really copyrighted by SPI:
> http://bugs.debian.org/388141
> 
> Moreover, those documents are licensed under the terms of the
> Open Publication License, Draft v1.0 or later, and thus fail to comply
> with the DFSG:
> http://bugs.debian.org/238245
> http://lists.debian.org/debian-legal/2004/03/msg00226.html
> 
This is not a blocker for the wheezy release.  Tagging as such.

Cheers,
Julien



Added tag(s) squeeze-ignore and wheezy-ignore. Request was from Julien Cristau <jcristau@debian.org> to 614497-submit@bugs.debian.org. (Wed, 07 Nov 2012 12:51:03 GMT) Full text and rfc822 format available.

Added tag(s) jessie-ignore. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Sat, 23 Nov 2013 18:03:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:12:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.